import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/energy` + url, ...arg)

export default {
	getWaterPie(data) {
		return request('/energyWater/getProportion', data, 'get')
	},
	getWaterChart(data) {
		return request('/energyWater/listTrend', data, 'get')
	},
	getWaterRank(data) {
		return request('/energyWater/listTop', data, 'get')
	},
	getElePie(data) {
		return request('/energyElectricity/getProportion', data, 'get')
	},
	getEleChart(data) {
		return request('/energyElectricity/listTrend', data, 'get')
	},
	getEleRank(data) {
		return request('/energyElectricity/listTop', data, 'get')
	}
}
